# mongoc_client_encryption_new()

## Synopsis

    mongoc_client_encryption_t *
    mongoc_client_encryption_new (mongoc_client_encryption_opts_t *opts,
                                  bson_error_t *error) BSON_GNUC_WARN_UNUSED_RESULT;

Create a new mongoc_client_encryption_t.

## Parameters

- `opts`: A mongoc_client_encryption_opts_t.

- `error`: A `bson_error_t`.

## Returns

A new mongoc_client_encryption_t that must be freed with mongoc_client_encryption_destroy() if successful. Returns `NULL` and sets `error` otherwise.

See also

mongoc_client_encryption_t
mongoc_client_encryption_opts_t